<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty string_nl2br modifier plugin
 *
 * Type:     modifier<br>
 * Name:     string_nl2br<br>
 * Purpose:  convert \r\n, \r or \n to <<br>>
 * @link http://smarty.php.net/manual/en/language.modifier.nl2br.php
 *          nl2br (Smarty online manual)
 * @param string
 * @return string
 */
function smarty_modifier_string_nl2br($string)
{
    if (!is_string($string)) {
        return $string;
    }

    return nl2br($string);
}

/* vim: set expandtab: */

?>
